# https://github.com/jaraco/path.py/archive/11.0.1.tar.gz
%global module path

Name:           python-%{module}
Version:        11.0.1
Release:        %mkrel 2
Summary:        A module wrapper for os.path

License:        MIT
Group:          Development/Python
URL:            https://github.com/jaraco/path.py
Source0:        %{module}.py-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-setuptools-scm
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools-scm

%description
%{summary}.

%package -n python3-%{module}
Summary:        %{summary}.
Group:          Development/Python

%description -n python3-%{module}
%{summary}.

%prep
%setup -qn %{module}.py-%{version}
cp -a . %{py3dir}

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python_sitelib}

%files
%doc LICENSE README.rst
%{python_sitelib}/*

%files -n python3-%{module}
%doc LICENSE README.rst
%{python3_sitelib}/*

%changelog
* Mon Aug 22 2022 tex - 11.0.1-2pclos2022
- rebuild against updates

* Fri Apr 06 2018 marcin82 <fixxer1982 at gmail.com> 11.0.1-1pclos2018
- initial build for PCLinuxOS
